%define srcname amqp

Name:           python-%{srcname}
Version:        1.4.9
Release:        %mkrel 1
Summary:        Low-level AMQP client for Python (fork of amqplib)

Group:          Development/Python
License:        LGPLv2+
URL:            http://pypi.python.org/pypi/amqp
Source0:        http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(nose)

%description
Low-level AMQP client for Python.

This is a fork of amqplib, maintained by the Celery project.

This library should be API compatible with librabbitmq.

%package -n python3-%{srcname}
Summary:        Client library for AMQP
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(nose)

%description -n python3-%{srcname}
Low-level AMQP client for Python 3.

This is a fork of amqplib, maintained by the Celery project.

This library should be API compatible with librabbitmq.

%package doc
Summary:        Documentation for python-amqp
Group:          Documentation
License:        LGPLv2+

%description doc
Documentation for python-amqp.

%prep
%setup -q -n %{srcname}-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc Changelog LICENSE README.rst
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}*.egg-info

%files -n python3-%{srcname}
%doc Changelog LICENSE README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}*.egg-info

%files doc
%doc LICENSE demo/


%changelog
* Mon Feb 15 2016 daviddavid <daviddavid> 1.4.9-1.mga6
+ Revision: 961243
- new version: 1.4.9
- use new python macros

* Fri Oct 09 2015 shlomif <shlomif> 1.4.7-1.mga6
+ Revision: 888333
- New version 1.4.7;Rebuild for Python3 3.5.x

* Wed Oct 15 2014 umeabot <umeabot> 1.4.5-4.mga5
+ Revision: 749847
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.5-3.mga5
+ Revision: 728035
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.5-2.mga5
+ Revision: 687880
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 pterjan <pterjan> 1.4.5-1.mga5
+ Revision: 640195
- 1.4.5

* Sat May 31 2014 pterjan <pterjan> 1.4.4-3.mga5
+ Revision: 629720
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.4.4-2.mga5
+ Revision: 628451
- Rebuild for new Python

* Mon Mar 31 2014 kharec <kharec> 1.4.4-1.mga5
+ Revision: 610814
- update to 1.4.4

* Mon Oct 28 2013 pterjan <pterjan> 1.3.1-1.mga4
+ Revision: 547761
- 1.3.1

* Tue Oct 22 2013 umeabot <umeabot> 1.3.0-3.mga4
+ Revision: 542918
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.0-2.mga4
+ Revision: 498095
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 pterjan <pterjan> 1.3.0-1.mga4
+ Revision: 494361
- 1.3.0

* Sun Oct 06 2013 pterjan <pterjan> 1.2.1-1.mga4
+ Revision: 492045
- 1.2.1

* Thu Sep 05 2013 pterjan <pterjan> 1.0.12-1.mga4
+ Revision: 475324
- 1.0.12

* Sun Aug 18 2013 pterjan <pterjan> 1.0.11-1.mga4
+ Revision: 467391
- Mageiaize + simplify
- imported package python-amqp


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Eric Harney <eharney@redhat.com> - 1.0.11-1
- Initial package
